<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<!--Created by IRIS Business Services Ltd., Powered by IRIS Carbon, Unique Code 67ed274ab68e130d5c4218ac, Generated At Wed, 02 Apr 2025 12:02:18 GMT-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RawMaterialsAndConsumablesUsed" xlink:label="RawMaterialsAndConsumablesUsed" xlink:title="RawMaterialsAndConsumablesUsed" />
    <link:label xlink:type="resource" xlink:label="label_RawMaterialsAndConsumablesUsed" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:title="label_RawMaterialsAndConsumablesUsed" xml:lang="en" id="label_RawMaterialsAndConsumablesUsed">Materials and services</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RawMaterialsAndConsumablesUsed" xlink:to="label_RawMaterialsAndConsumablesUsed" xlink:title="Label : RawMaterialsAndConsumablesUsed to label_RawMaterialsAndConsumablesUsed" />
    <link:loc xlink:type="locator" xlink:href="7437003V4S76KM56UW70-2024-12-31.xsd#qpr1v_MaterialAndServicesExpense" xlink:label="MaterialAndServicesExpense" xlink:title="MaterialAndServicesExpense" />
    <link:label xlink:type="resource" xlink:label="label_MaterialAndServicesExpense" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_MaterialAndServicesExpense" xml:lang="en" id="label_MaterialAndServicesExpense">Material and Services Expense</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MaterialAndServicesExpense" xlink:to="label_MaterialAndServicesExpense" xlink:title="Label : MaterialAndServicesExpense to label_MaterialAndServicesExpense" />
    <link:loc xlink:type="locator" xlink:href="7437003V4S76KM56UW70-2024-12-31.xsd#qpr1v_ReserveForInvestedUnrestrictedEquity" xlink:label="ReserveForInvestedUnrestrictedEquity" xlink:title="ReserveForInvestedUnrestrictedEquity" />
    <link:label xlink:type="resource" xlink:label="label_ReserveForInvestedUnrestrictedEquity" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ReserveForInvestedUnrestrictedEquity" xml:lang="en" id="label_ReserveForInvestedUnrestrictedEquity">Reserve for Invested Unrestricted Equity</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveForInvestedUnrestrictedEquity" xlink:to="label_ReserveForInvestedUnrestrictedEquity" xlink:title="Label : ReserveForInvestedUnrestrictedEquity to label_ReserveForInvestedUnrestrictedEquity" />
    <link:loc xlink:type="locator" xlink:href="7437003V4S76KM56UW70-2024-12-31.xsd#qpr1v_ReserveForInvestedUnrestrictedEquityMember" xlink:label="ReserveForInvestedUnrestrictedEquityMember" xlink:title="ReserveForInvestedUnrestrictedEquityMember" />
    <link:label xlink:type="resource" xlink:label="label_ReserveForInvestedUnrestrictedEquityMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ReserveForInvestedUnrestrictedEquityMember" xml:lang="en" id="label_ReserveForInvestedUnrestrictedEquityMember">Reserve for Invested Unrestricted Equity [Member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReserveForInvestedUnrestrictedEquityMember" xlink:to="label_ReserveForInvestedUnrestrictedEquityMember" xlink:title="Label : ReserveForInvestedUnrestrictedEquityMember to label_ReserveForInvestedUnrestrictedEquityMember" />
  </link:labelLink>
</link:linkbase>